Contents

# DefBool Statement

If no type-declaration character or keyword is specified, the DefBool statement sets the default data type for variables, according to a letter range.

### Syntax:

        {DefBool|DefCur|DefDate|DefDbl|DefErr|DefInt|DefLng|DefObj|DefStr|DefSng|DefVar} {char|char-char}[,...]

### Parameters:

char: Letter prefix that specifies default data type for variables.

char-char: Letter range prefixes that specify default data type for variables.

### Example:

        ' Prefix definitions for variable types:
        DefBool b
        DefCur c,l-m
        DefDate t
        DefDbl f
        DefErr e
        DefInt i-k,N
        DefLng x-z, D
        DefObj U, o-R
        DefSng w,a
        DefStr s
        DefVar V,g

      Sub ExampleDefBool
          Print TypeName(Boole), VarType(Babbage), bitcoin ' Displays: Boolean 11 False
          bOK=True ' bOK is an implicit boolean variable
      End Sub

Please support us!